/*
* File Name : tasks/jshint.js
* Purpose : The jshint grunt task
* Creation Date : 2014/05/24
* Last Modified : sam. 24 mai 2014 22:51:36 CEST
* Created By : Alexandre Chaussier, infOpen <a.chaussier@infopen.pro>
* License : GPLv3

This module is used to manage custom errors on infOpen programs.
Copyright (c) 2014 "Alexandre Chaussier, infOpen"
infOpen - IT company for small and medium companies [http://infopen.pro]

This file is part of infopen-errors.

infopen-errors is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>, or
write to the Free Software Foundation, Inc., 51 Franklin Street,
Fifth Floor, Boston, MA 02110-1301  USA.
*/

/**
 * @desc JShint grunt task for infopen framework
 * @return {object} Configuration for JShint grunt task
 */
module.exports = {
  app: {
    src: [ 'InfopenError.js', 'lib/**/*.js' ],
    options: { jshintrc : '.jshintrc' }
  },
  tool: {
    src: [ 'gruntFile.js', 'tasks/**/*.js' ],
    options: { jshintrc: 'tasks/.jshintrc' }
  },
  test: {
    src: [ 'tests/**/*.js' ],
    options: { jshintrc: 'tests/.jshintrc' }
  }
};
